Merge pull request #93 from mithro/master

Clean up and update dependency specifications
diff --git a/.github/ci/test.sh b/.github/ci/test.sh
new file mode 100755
index 0000000..24de367
--- /dev/null
+++ b/.github/ci/test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -ex
+
+source "$HOME/miniconda/etc/profile.d/conda.sh"
+conda activate yosys-env
+which python
+python --version
+which tox
+tox
diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index 3286b14..95060bb 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -30,12 +30,7 @@
 
     - name: Test
       run: |
-        source "$HOME/miniconda/etc/profile.d/conda.sh"
-        conda activate yosys-env
-        which python
-        python --version
-        which tox
-        TOXENV="$(echo py${{ matrix.python-version }} | sed -e's/\.//g')" tox
+        TOXENV="$(echo py${{ matrix.python-version }} | sed -e's/\.//g')" .github/ci/test.sh
     - name: Upload test results
       uses: actions/upload-artifact@v2
       with: